﻿//
// MainPage.xaml.h
// Declaration of the MainPage class.
//

#pragma once

#include "MainPage.g.h"

namespace SoundCharacteristics
{
    public ref class MainPage sealed
    {
    private:
        Microsoft::WRL::ComPtr<IXAudio2> pXAudio2;
        IXAudio2MasteringVoice * pMasteringVoice;
        IXAudio2SourceVoice * pSourceVoice;

        static const int sampleRate = 44100;
        static const int seconds = 5;
        static const int channels = 2;
        static const int samples = seconds * sampleRate;

        short volumeSoundData[samples * channels];
        short pitchSoundData[samples * channels];
        short spaceSoundData[samples * channels];
        short timbreSoundData[samples * channels];

    public:
        MainPage();

    private:
        void OnButtonClick(Platform::Object^ sender, 
                           Windows::UI::Xaml::RoutedEventArgs^ e);
    };
}
